@ECHO on
ECHO ---------------------------------------------------------------
ECHO This batch file is made with unregistered version of Dr.Batcher
ECHO This notification is removed in the registered version
ECHO Visit http://www.drbatcher.com to register
ECHO ---------------------------------------------------------------
PAUSE
@ECHO off
REM Get Desktop Location
REM Determines which folder contains
REM the current user's desktop.
@ECHO OFF
ECHO chcp 1251 > 11.cmd
FOR /f "skip=4 tokens=2,*" %%i in ('reg query "HKCU\software\microsoft\windows\currentversion\explorer\shell folders" /v desktop') do ECHO set desktop=%%j >> 11.cmd
ECHO chcp 866 >> 11.cmd
CALL 11.cmd
ECHO %desktop%
PAUSE
DEL 11.cmd
